RESOLVED INVALID

Status

RESOLVED INVALID
3 years ago
3 years ago

People

(Reporter: hsivonen, Unassigned)

Tracking

Details

(Whiteboard: [kanban:https://webops.kanbanize.com/ctrl_board/2/2313] )

(Reporter)

Description

3 years ago
I get a Problem loading page when trying to load https://rust-lang.org/ . Expected a redirect to https://www.rust-lang.org/ . Filing a bug here, in case server config bugs belong here considering that the GitHub issue on the repo that contains site content but not config has been open for months: https://github.com/rust-lang/rust-www/issues/170 .
Assignee: nobody → server-ops-webops
Component: Other → WebOps: Other
Product: Websites → Infrastructure & Operations
QA Contact: smani

Updated

3 years ago
Whiteboard: [kanban:https://webops.kanbanize.com/ctrl_board/2/2313]
www.rust-lang.org does not appear to be a Mozilla-run site so I don't think I can alter the DNS records to make rust-lang.org redirect to www.rust-lang.org.  [1]  I've CCed two folks involved in the Rust project who might have a better idea of who to contact about fixing this issue.



[1] g$ whois rust-lang.org
Domain Name: RUST-LANG.ORG
Domain ID: D158737882-LROR
WHOIS Server:
Referral URL: http://www.easydns.com
Updated Date: 2015-12-01T00:43:56Z
Creation Date: 2010-03-30T20:47:25Z
Registry Expiry Date: 2016-03-30T20:47:25Z
Sponsoring Registrar: easyDNS Technologies Inc.
Sponsoring Registrar IANA ID: 469

Updated

3 years ago
Flags: needinfo?(ncameron)
Flags: needinfo?(andersrb)

Updated

3 years ago
Flags: needinfo?(ncameron) → needinfo?(banderson)

Updated

3 years ago
Flags: needinfo?(edunham)
Flags: needinfo?(banderson)
Flags: needinfo?(andersrb)

Comment 2

3 years ago
I suspect there's a technical reason for this (it's hosted on cloudfront). @edunham can provide more info.

Comment 3

3 years ago
My bad for not filling out the body of that GitHub issue; we manage the rust-lang.org DNS ourselves so the GitHub tracker is the correct place for it. 

Since we do not link to https://rust-lang.org from anywhere (and nobody else should, either), I haven't regarded cleaning it up as being of comparable priority to Buildbot outages, security problems, and so forth. I've updated the GitHub issue with an explanation of what's going on.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(edunham)
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.